Data Store fails to configure during 10.8.1 Upgrade

770
3
Jump to solution
12-29-2020 01:50 PM
KeithOlsen
New Contributor III

On the very last step of upgrading my Enterprise system from 10.7.1 to 10.8.1, the data store fails to configure. It seems to install fine. The error message appears after signing into the data store web url and providing the server credentials.

Attempt to configure data store failed. Caused by: Database upgrade failed for relational data store. Caused by: Could not find home for relational data store binaries 'E:\arcgisdatastore\pgsql10.6'

This appears after the prerequisite check comes back 'Ready for upgrade' for both the relational data store and the Tile Cache (not used).

It seems like the data store upgrade process is confused because I'm not upgrading from 10.6 and it's looking in the wrong folder for the binaries. I'm doing the Enterprise upgrade on IIS server 2019, the server and portal are on separate machines. I successfully upgraded Portal, it's web adapter, Server, and it's two web adapters.

--Keith Olsen

Linn County, OR

1 Solution

Accepted Solutions
KeithOlsen
New Contributor III

Hi David,

For some reason, my 'E:\arcgisdatastore\pgsql10.6' directory did not exist. I'm not sure if the upgrade process deleted it, or if it just wasn't there in the first place. Isn't this where the postgresql data is supposed to be?

Anyway, ESRI support helped me to uninstall the 10.8.1 software, reinstall 10.7.1, import the most-recent backup from my original install and then re-install the 10.8.1 upgrade. This seemed to fix whatever the issue was with the missing pgsql10.6 directory and it upgraded the Datastore correctly at that point. 

Thanks,

--Keith

View solution in original post

3 Replies
DavidColey
Frequent Contributor

Hmm, when I configure datastore for an of my upgrades, I am running the configuration wizard on the datastore server itself.  It shouldn't matter, but have you tried running the config through https://localhost:2443 using chrome?  In the address bar it looks like you are using maybe a DNS alias?  Also, can you verify that the directory 'E:\arcgisdatastore\pgsql10.6' exists?

0 Kudos
KeithOlsen
New Contributor III

Hi David,

For some reason, my 'E:\arcgisdatastore\pgsql10.6' directory did not exist. I'm not sure if the upgrade process deleted it, or if it just wasn't there in the first place. Isn't this where the postgresql data is supposed to be?

Anyway, ESRI support helped me to uninstall the 10.8.1 software, reinstall 10.7.1, import the most-recent backup from my original install and then re-install the 10.8.1 upgrade. This seemed to fix whatever the issue was with the missing pgsql10.6 directory and it upgraded the Datastore correctly at that point. 

Thanks,

--Keith

View solution in original post

DavidColey
Frequent Contributor

Hi Keith - yeah, I don't think so.  The datafiles themselves are stored in the pgdata directory and its sub-directories . . .

https://www.postgresql.org/docs/9.0/storage-file-layout.html

However, datastore as an app and rdbms is a black box and completely managed through server and datastore configs, dlls and exes in the various version releases, which are in the pgsql directories.

The last time I had to do a re-install, I too did so because of a mis-configuration.  And Support also had me do an un-install, etc. I believe support does this because of the black box nature of the datastore.